From: Antonio Valentino <antonio.valentino@tiscali.it>
Date: Sat, 26 Oct 2013 08:30:36 +0000
Subject: Only use local files for generating sphinx doc.

Set the "intersphinx_mapping" parameter in the doc/conf.py to
point to local object.inv files.
This makes the package self contained and no download attempt
happens any longer (Closes: #726859).
---
 doc/conf.py | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

diff --git a/doc/conf.py b/doc/conf.py
index 4a44957..c861af8 100644
--- a/doc/conf.py
+++ b/doc/conf.py
@@ -68,15 +68,15 @@ html_static_path = ["_static"]
 html_last_updated_fmt = "%b %d, %Y"
 html_sidebars = {
     "index": [
-        # 'globaltoc.html',
-        # 'relations.html',
-        # 'sourcelink.html',
-        # 'searchbox.html',
-        "pypi.html",
-        "gha.html",
-        "readthedocs.html",
-        "codecov.html",
-        "ohloh.html",
+        ## 'globaltoc.html',
+        ## 'relations.html',
+        ## 'sourcelink.html',
+        ## 'searchbox.html',
+        # "pypi.html",
+        # "gha.html",
+        # "readthedocs.html",
+        # "codecov.html",
+        # "ohloh.html",
     ],
 }
 html_domain_indices = False
@@ -133,8 +133,10 @@ epub_exclude_files = ["search.html"]
 # -- Options for intersphinx extension ---------------------------------------
 
 intersphinx_mapping = {
-    "python": ("https://docs.python.org/3", None),
-    "numpy": ("https://docs.scipy.org/doc/numpy", None),
+    "python": ("https://docs.python.org/3",
+               "/usr/share/doc/python3-doc/html/objects.inv"),
+    # "numpy":  ("https://docs.scipy.org/doc/numpy",
+    #            "/usr/share/doc/python-numpy-doc/html/objects.inv"),
 }
 
 # -- Options for extlinks extension ------------------------------------------
